ghc-7.10.2: The GHC API

Safe Haskell | None
Language | Haskell2010

SetLevels

# Documentation

setLevels :: FloatOutSwitches -> CoreProgram -> UniqSupply -> [LevelledBind] Source

data Level Source

Constructors

Level Int Int |

Instances

Eq Level |
Outputable Level |

tOP_LEVEL :: Level Source

type LevelledBind = TaggedBind FloatSpec Source

type LevelledExpr = TaggedExpr FloatSpec Source

type LevelledBndr = TaggedBndr FloatSpec Source

data FloatSpec Source

Constructors

FloatMe Level |
StayPut Level |

Instances

Outputable FloatSpec |

floatSpecLevel :: FloatSpec -> Level Source

incMinorLvl :: Level -> Level Source

ltMajLvl :: Level -> Level -> Bool Source

ltLvl :: Level -> Level -> Bool Source

isTopLvl :: Level -> Bool Source